Switch between PHP 5.4 and other versions

If you were previously a customer and had a site in 5.2 but after the upgrade found it no longer works. Or are a new customer and wants to run legacy software please follow this guide to setting up other versions of PHP. We currently, at the time of writing this article, support PHP versions 5.2, 5.3, 5.4, 5.5(Bleeding Edge).

Downgrading or upgrading to 5.5 the bleeding edge version, is quite simple. Simply login to your cPanel at: http://www.yourdomain.com/cpanel



Once logged in scroll down to the very bottom of the page and find the icon for "ntPHPSelector" 


Once on this new page you will see a list of top level directories. Click on "public_html" link to setup the PHP version for your main site: 


This will present you with a dropdown to select the PHP version you wish to use. Click this dropdown and select the version to use for your main site.



Once done selecting the version you desire click submit and this will take you back to your original page. At the bottom of all pages you will see a list of current designations:



This will let you know what is already assigned to what directory. You can remove any designation and go back to default at anytime by clicking the "Delete" button in this list.

You may also assign different PHP versions per directory by navigating to different directories on your site using the folder icons in fron of the folder names.
  • 12 Users Found This Useful
Was this answer helpful?

Related Articles

Setup outlook express for pop email access

Outlook Express is a is a popular POP email software from Microsoft which is available on both...

Setup Mozilla Thunderbird for pop email access

Thunderbird Mozilla’s next generation e-mail client. Thunderbird makes emailing safer,...

Powered by WHMCompleteSolution